com.unitech.lib.engine.types

## Enum ErrorIndicator

- java.lang.Object
- - java.lang.Enum<ErrorIndicator>
  - - com.unitech.lib.engine.types.ErrorIndicator

- All Implemented Interfaces:
    Serializable, Comparable<ErrorIndicator>

      public enum ErrorIndicator
      extends Enum<ErrorIndicator>

  The ErrorIndicator enum represents different types of error indicators. Each error indicator is associated with a unique byte value and a descriptive string message. The enum also provides methods to get the byte value and string message of an error indicator, and to get an error indicator from its byte value. It also provides a method to get an array containing the names of the error indicators.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `beeper`
    `beeperVibrator`
    `none`
    `vibrator`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorIndicator` | `fromValue(byte value)` Gets an error indicator from its byte value.
    `byte` | `getCode()` Gets the byte value of the error indicator.
    `static String[]` | `names()` Returns an array containing the names of the error indicator constants.
    `String` | `toString()` Returns the string message of the error indicator.
    `static ErrorIndicator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ErrorIndicator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final ErrorIndicator none

    - #### beeper

          public static final ErrorIndicator beeper

    - #### vibrator

          public static final ErrorIndicator vibrator

    - #### beeperVibrator

          public static final ErrorIndicator beeperVibrator

  - ### Method Detail

    - #### values

          public static ErrorIndicator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorIndicator c : ErrorIndicator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorIndicator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

      Gets the byte value of the error indicator.
      Returns:
        The byte value of the error indicator.

    - #### toString

          public String toString()

      Returns the string message of the error indicator.
      Overrides:
        `toString` in class `Enum<ErrorIndicator>`
      Returns:
        The string message of the error indicator.

    - #### fromValue

          public static ErrorIndicator fromValue(byte value)
                                          throws IllegalArgumentException

      Gets an error indicator from its byte value.
      Parameters:
        `value` - The byte value of the error indicator.
      Returns:
        The error indicator associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any error indicator.

    - #### names

          public static String[] names()

      Returns an array containing the names of the error indicator constants.
      Returns:
        An array containing the names of the error indicator constants.